Skip to content

Get Job Checklist

Query a job's checklist

This endpoint lets you query for the Info Gathering Checklist of your job.

Endpoint

MethodUrl
GETv1.0/jobs/{job_id}/checklist

Url Parameters

job_id
•
guid

The job's ID.

Sample Request

bash
Copied
1curl -X GET 'https://api.worklayer.com/v1.0/jobs/499d692d-67aa-4127-a45c-b9e27f54afad/checklist' \
2-H 'Authorization: Bearer {token}'

Response

sections
•
array

An array of sections, each containing a list of requested supporting items.

Sample Response

json
Copied
1{
2 "sections": [{
3 "id": "PERSONAL_INFORMATION",
4 "name": "Personal information",
5 "requested_supporting_items": [{
6 "id": "fd4b72f5-cd5e-44bb-aa31-daef92722616",
7 "name": "W-2",
8 "short_description": "Salary from employer",
9 "preview_url": "https://www.irs.gov/pub/irs-pdf/fw2.pdf",
10 "required": false,
11 "ad_hoc": false,
12 "completed": true,
13 "update_time": "2023-09-29T12:15:00Z",
14 "input": {
15 "document": {
16 "document_type_id": "W_2"
17 }
18 }
19 }, {
20 "id": "443013e3-4c1e-4fb1-b183-446e0f910171",
21 "name": "Personal information",
22 "short_description": "To streamline the process, please provide your essential personal information. Your data will be handled securely and used only for processing your request.",
23 "required": true,
24 "ad_hoc": false,
25 "completed": true,
26 "update_time": "2023-09-30T13:41:00Z",
27 "input": {
28 "personal_info": {
29 "profile_id": "150e7f40-1158-4fe6-864c-6cce3879cd34",
30 "profile_version": 1
31 }
32 }
33 }, {
34 "id": "7a9e1d5b-8f32-4c9a-b95e-9c3a7d518e42",
35 "name": "Personal tax refund method",
36 "short_description": "Get the payout you deserve, your way.",
37 "required": true,
38 "ad_hoc": false,
39 "completed": true,
40 "update_time": "2023-09-30T14:22:00Z",
41 "input": {
42 "personal_refund_method": {
43 "refund_method_id": "550e8400-e29b-41d4-a716-446655440000",
44 "refund_method_version": 1
45 }
46 }
47 }]
48 }
49}

The input object is a Discriminated Union, with the sole child object key name acting as the discriminator; in this case, document, personal_info, and personal_refund_method. See the Supporting item section for more information.

Section

id
•
string

ID of the section.

name
•
string

The display name of the section.

requested_supporting_items
•
array

An array of supporting items, such as specific documents or certain pieces of information. These are items that are requested from the client in order for the Pro to perform the work.

Supporting item

id
•
string

The ID of the supporting item.

name
•
string

The name of the supporting item.

short_description
•
string

A short description of the supporting item.

preview_url
•
string

An optional URL linking to a downloadable/viewable resource to provide as a sample of what is being asked for.

required
•
bool

Whether the item is required before proceeding from the info gathering stage.

ad_hoc
•
bool

Whether the document was specifically requested by the provider.

completed
•
bool

Whether the item is considered completed.

input
•
object

Specification for collecting a supporting item and its corresponding value. Must contain exactly one property, which can be one of:

Document input

document_type_id
•
string

ID of the document type that is requested for the item to be considered completed. Upload a document of this type to complete the item.

Personal info

profile_id
•
string

The ID of the personal profile when provided, null otherwise.

profile_version
•
number

The version of the personal profile when provided, null otherwise.

Personal refund method input

refund_method_id
•
string

The ID of the personal refund method when provided, null otherwise.

refund_method_version
•
number

The version of the personal refund method when provided, null otherwise.

Business refund method input

refund_method_id
•
string

The ID of the business refund method when provided, null otherwise.

refund_method_version
•
number

The version of the business refund method when provided, null otherwise.

Spousal info

profile_id
•
string

The ID of the spousal profile when provided, null otherwise.

profile_version
•
number

The version of the spousal profile when provided, null otherwise.

Dependents info

profile_ids
•
array

An array of provided dependent profiles, each containing:

  • profile_id (string): The ID of the dependent profile
  • profile_version (number): The version of the dependent profile

Business info

profile_id
•
string

The ID of the business profile when provided, null otherwise.

profile_version
•
number

The version of the business profile when provided, null otherwise.

Last updated on April 16, 2025